LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
DragSourceEvent Struct Referencepublished

This class is the base class for DragSourceDragEvent and DragSourceDropEvent. More...

`import"DragSourceEvent.idl";`

Inheritance diagram for DragSourceEvent:

## Public Attributes
XDragSourceContext | DragSourceContext
| The drag source context of the current drag operation. More...
XDragSource | DragSource
| The drag source on which the Drag and Drop operation was initiated. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

This class is the base class for DragSourceDragEvent and DragSourceDropEvent.

To access the XDragSource that originated this event, use the com::sun::star::lang::EventObject::Source member of this object.

## Member Data Documentation

## ◆ DragSource

XDragSource DragSource

The drag source on which the Drag and Drop operation was initiated.

See also
  com::sun::star::datatransfer::dnd::XDragSource

## ◆ DragSourceContext

XDragSourceContext DragSourceContext

The drag source context of the current drag operation.

See also
  com::sun::star::datatransfer::dnd::XDragSourceContext

The documentation for this struct was generated from the following file:

- com/sun/star/datatransfer/dnd/DragSourceEvent.idl